# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libaio
pkgver=0.3.113
pkgrel=1
pkgdesc="The Linux-native asynchronous I/O facility (aio) library"
arch=(x86_64)
url="https://pagure.io/libaio"
license=(LGPL2.1)
groups=('base')
depends=('glibc')
source=(https://pagure.io/libaio/archive/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(1c561c20670c5c09cc8437a622008c0693c6a7816c1f30332da3796953b2f454)

prepare() {
    cd ${pkgname}-${pkgver}

    sed -i '/install.*libaio.a/s/^/#/' src/Makefile
}

build() {
    cd ${pkgname}-${pkgver}

    make

    sed 's/-Werror//' -i harness/Makefile
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} libdir=/usr/lib64 install
}
